Bug Hunting Session
Bug 44643 - Difference in fractional font size handling in .ppt files, Impress vs. Powerpoint
Summary: Difference in fractional font size handling in .ppt files, Impress vs. Powerp...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: lowest normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2012-01-10 09:31 UTC by mathog
Modified: 2019-09-29 03:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
example PDF with fractional font sizes (exported from Inkscape) (13.17 KB, application/pdf)
2012-01-10 09:31 UTC, mathog
Details
Image imported and saved to .ppt by LOImpress. (is .ppt, .zip is to allow upload) (31.50 KB, application/x-zip-compressed)
2012-01-10 09:32 UTC, mathog
Details
Screen dump of what the .ppt file looks like in Powerpoint (22.72 KB, image/png)
2012-01-10 09:33 UTC, mathog
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mathog 2012-01-10 09:31:46 UTC
Created attachment 55386 [details]
example PDF with fractional font sizes (exported from Inkscape)

LO 3.4.4 release
MS PowerPoint 2003
Windows XP SP3

1.  Create a drawing with fractional font sizes (not integer points) in Inkscape, save as PDF.
2.  Import PDF in LODraw
3.  Copy drawing
4.  Paste drawing into LOImpress
5.  Save as .ppt file.

The resulting .ppt file has the following issues:

1.  In LOImpress the text looks as it did in the PDF but the font sizes are improperly displayed as whole integers when the text is selected.  That is, text
which is 12.8 points is said to be 13 points.

2.  When the .ppt file is opened in PowerPoint (2003) the font sizes are identified as the rounded to the nearest integer values AND they are also drawn that way.

Consequently, the resulting .ppt file does not look the same in Impress and PowerPoint.  

Clearly Impress is storing the fractional font sizes in the .ppt file somehow, but however it does this isn't being honored by PowerPoint.  Ideally the .ppt store would be done in such a way that Powerpoint can use the fractional font sizes.  Otherwise at least throw a (specific) warning.
Comment 1 mathog 2012-01-10 09:32:53 UTC
Created attachment 55387 [details]
Image imported and saved to .ppt by LOImpress. (is .ppt, .zip is to allow upload)
Comment 2 mathog 2012-01-10 09:33:42 UTC
Created attachment 55388 [details]
Screen dump of what the .ppt file looks like in Powerpoint

Note how the text now overflows the bounding rectangles.
Comment 3 mathog 2012-01-11 15:38:33 UTC
Tested this with 3.5.0b2 on Windows XP SP3.

The issue is still as previously described.

Tried saving in .pptx format.  Unfortunately for that one the bounding rectangles are lost.  They are initially there following:

draw
open PDF file
select all
copy

impress
paste
save as (pptx).

However, when Impress is closed and the .pptx reopened the bounding rectangles are gone.  Worse, the .pptx will not open in MS Powerpoint 2003 (with the 2007 compatibility pack).  This was the same with both 3.4.4 and 3.4.5b2.

On the plus side, if you can call it that, the fractional font sizes are retained in the .pptx format and shown that was in the font size area in LOImpress, both 3.4.4 and 3.4.5b2.

Tried opening the .pptx in PowerPoint 2010, but that version didn't like the .pptx file either.  PPT 2010 was able to open the .ppt file, and it looked exactly the same as it did in PPT 2003.
Comment 4 sasha.libreoffice 2012-05-07 07:50:16 UTC
Thanks for bugreport
reproduced that second attachment (rename from zip to ppt) looks differently in PP and in Impress. In Impress font size is slightly bigger. This often result in corrupted layout in presentations.
this tested in 3.3.4 and 3.5.3 on Fedora 64 bit

opening first attachment pdf in LO Draw:
in 3.5.3 difference is even more than in 3.3.4 (difference in Draw and pdf viewer)

Changing version to 3.3.4 as most early reproducible
Comment 5 nikos42 2013-11-08 21:23:39 UTC
Confirmed with LibreOffice 4.1.2.3
Comment 6 QA Administrators 2015-04-19 03:19:56 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2015-06-15 07:41:50 UTC
The font size looks ok now in .ppt, but the border and background color of the boxes is gone.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 01a189abcd9a4ca472a74b3b2c000c9338fc2c91
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-14_07:46:28
Locale: fi-FI (fi_FI)
Comment 8 QA Administrators 2016-09-20 10:00:31 UTC Comment hidden (obsolete)
Comment 9 Timur 2018-04-19 11:35:00 UTC
In 6.1+ result is better than before as seen on screen dump.
Could be closed for this specific document but "fractional font size handling in .ppt files" general issue remains.
ODP is saved fine. PPT is saved by replacing Liberation to Arial. 
I don't see that "Impress is storing the fractional font sizes in the .ppt file somehow", even PPT opened in Impress has rounded font sizes.
Comment 10 QA Administrators 2019-09-29 03:07:54 UTC
Dear mathog,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug